# На прошлой проверке спрашивали про флаги компилятора. Я выучил :)
# -Wall - включает все предупреждающие сообщения компилятора
# -Werror - данный флаг делает все предупреждения ошибками. Код не скомпилируется при наличии хотя бы одного предупреждения.
# -Wextra - "агрегатор" дополнительных предупреждений. Включает много интересного, чего нет в -Wall
# например отсутствие инициализации переменных или забытый break в switch-case

CC = gcc
CFLAGS = -Wall -Werror -Wextra -std=c11
FLAGS =
LOGSDIR = LOGS
OUTPUT = s21_cat
FILE_LIST = s21_cat.c s21_cat_functions.c

all: build create_logs_dir
build: s21_cat

s21_cat: $(FILE_LIST)
	$(CC) $(CFLAGS) $(FILE_LIST) -o $(OUTPUT)

#минус перед rm - игнор ошибок https://stackoverflow.com/questions/5553352/how-do-i-check-if-file-exists-in-makefile-so-i-can-delete-it
clean:
	-rm -rf $(OUTPUT)
	-rm -rf $(LOGSDIR)

rebuild: clean all

test:
	chmod +x _test_cat.sh
	./_test_cat.sh

#mkdir TESTS/logs 
#Проверяем директорию для логов на существование. Если не существует, создаем
create_logs_dir:
	@if [ ! -d $(LOGSDIR) ] ; then echo "Directory $(LOGSDIR) doesn't exist. Creating $(LOGSDIR)" ; mkdir $(LOGSDIR); fi


